resource "kubernetes_service" "alb_ingress_service" {
  metadata {
    name = "alb-ingress-service"
  }

  spec {
    selector {
      app = "${kubernetes_pod.alb-ingress-pod.metadata.0.labels.app}"
    }   

    port {
      port        = 80
      target_port = 8080
    }   

    type = "ExternalName"
  }
}

resource "kubernetes_pod" "alb-ingress-pod" {
  metadata {
    name = "alb-ingress-pod"

    labels {
      app = "${var.customer}-alb-ingress"
    }
  }

  spec {
    container {
      image = "amazon/aws-alb-ingress-controller"
      name  = "aws-alb-ingress-container"
      
    }   
  }
}

